Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1039

Compiler warnings with clang 11.0
December 07, 2020 14:08 - Thomas Lange

Status: Closed Start date: December 07, 2020
Priority: Trivial Due date:

Assignee: % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 41

Affects version:

Description

The recently released Clang 11.0 generates the following compiler warnings for audacious-plugins:
hotkey (GTK):

gui.cc:71:5: warning: array designators are a C99 extension [-Wc99-designator]
[EVENT_PREV_TRACK] = N_ ("Previous track"),

sid:

In file included from xs_config.cc:24:
./xmms-sid.h:39:15: warning: anonymous non-C—compatible type given name for linkage purposes by ty
pedef declaration; add a tag name here [-Wnon-c-typedef-for-linkage]
typedef struct {
Xs_subtuneinfo_t
./xmms-sid.h:40:22: note: type is not C-compatible due to this default member initializer
int tunelength = -1;

AN~

./xmms—-sid.h:41:3: note: type is given name 'xs_subtuneinfo_t' for linkage purposes by this typede
f declaration
} xs_subtuneinfo_t;

A

History

#1 - December 21, 2020 20:22 - Thomas Lange

- Target version set to 4.1
#2 - December 26, 2020 21:39 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

Fixed:
https://github.com/audacious-media-player/audacious-plugins/commit/92592612f0de7c42cf81e7649836ce826c19cd3a

May 03, 2025 1/1



https://github.com/audacious-media-player/audacious-plugins/commit/92592612f0de7c42cf81e7649836ce826c19cd3a
http://www.tcpdf.org

